/*! leaders 2017-02-24 */ ! function a(b, c, d) {
  function e(g, h) {
    if (!c[g]) {
      if (!b[g]) {
        var i = "function" == typeof require && require;
        if (!h && i) return i(g, !0);
        if (f) return f(g, !0);
        var j = new Error("Cannot find module '" + g + "'");
        throw j.code = "MODULE_NOT_FOUND", j
      }
      var k = c[g] = {
        exports: {}
      };
      b[g][0].call(k.exports, function(a) {
        var c = b[g][1][a];
        return e(c ? c : a)
      }, k, k.exports, a, b, c, d)
    }
    return c[g].exports
  }
  for (var f = "function" == typeof require && require, g = 0; g < d.length; g++) e(d[g]);
  return e
}({
  1: [function(a, b, c) {
    "use strict";
    var d = a("./modules/Header"),
      e = a("./modules/ScrollNav");
    ! function() {
      var a = document.getElementsByClassName("navbar")[0].parentNode;
      new d("menu"), new d("search"), new e(a, 150)
    }()
  }, {
    "./modules/Header": 3,
    "./modules/ScrollNav": 6
  }],
  2: [function(a, b, c) {
    "use strict";
    var d = a("./modules/ParallaxImage");
    ! function() {
      new d
    }()
  }, {
    "./modules/ParallaxImage": 5
  }],
  3: [function(a, b, c) {
    "use strict";

    function d(a, b) {
      if (!(a instanceof b)) throw new TypeError("Cannot call a class as a function")
    }
    Object.defineProperty(c, "__esModule", {
      value: !0
    });
    var e = function() {
        function a(a, b) {
          for (var c = 0; c < b.length; c++) {
            var d = b[c];
            d.enumerable = d.enumerable || !1, d.configurable = !0, "value" in d && (d.writable = !0), Object.defineProperty(a, d.key, d)
          }
        }
        return function(b, c, d) {
          return c && a(b.prototype, c), d && a(b, d), b
        }
      }(),
      f = a("./Helper"),
      g = function() {
        function a(b) {
          d(this, a), this.section = b, this.sectionBtn = document.getElementsByClassName(b + "-button")[0], this.sectionWin = document.getElementsByClassName(b + "-window")[0], this.headerElem = document.getElementsByTagName("header")[0], this.navbtns = document.getElementsByClassName("nav-button"), this.navwins = document.getElementsByClassName("nav-window"), this.sectionBtn.addEventListener("click", this.toggleNavOption.bind(this), !1);
          var c, e = this.headerElem.querySelectorAll("input[type=checkbox]:checked"),
            f = 0;
          for (c = e.length; c > f; f++) e[f].checked = !1
        }
        return e(a, [{
          key: "toggleNavOption",
          value: function() {
            var a = document.getElementsByTagName("body")[0],
              b = document.getElementsByTagName("html")[0],
              c = 0,
              d = this.sectionBtn.className,
              e = -1 === d.indexOf("close-button");
            for (c = 0; c < this.navbtns.length; c++) f.removeClass(this.navbtns[c], "close-button"), f.removeClass(this.navwins[c], "open-window"), this.navbtns[c].setAttribute("aria-expanded", "false"), f.removeClass(b, "menu-open"), f.removeClass(a, "menu-open");
            e && (f.addClass(this.sectionBtn, "close-button"), f.addClass(this.sectionWin, "open-window"), this.sectionBtn.setAttribute("aria-expanded", "true"), "search" === this.section ? document.getElementById("usagov-search-query").focus() : (f.addClass(b, "menu-open"), f.addClass(a, "menu-open")))
          }
        }]), a
      }();
    c["default"] = g, b.exports = c["default"]
  }, {
    "./Helper": 4
  }],
  4: [function(a, b, c) {
    "use strict";

    function d(a, b) {
      if (!(a instanceof b)) throw new TypeError("Cannot call a class as a function")
    }
    Object.defineProperty(c, "__esModule", {
      value: !0
    });
    var e = function() {
        function a(a, b) {
          for (var c = 0; c < b.length; c++) {
            var d = b[c];
            d.enumerable = d.enumerable || !1, d.configurable = !0, "value" in d && (d.writable = !0), Object.defineProperty(a, d.key, d)
          }
        }
        return function(b, c, d) {
          return c && a(b.prototype, c), d && a(b, d), b
        }
      }(),
      f = function() {
        function a() {
          d(this, a)
        }
        return e(a, null, [{
          key: "hasClass",
          value: function(a, b) {
            return a.classList ? a.classList.contains(b) : !!a.className.match(new RegExp("(\\s|^)" + b + "(\\s|$)"))
          }
        }, {
          key: "addClass",
          value: function(a, b) {
            a.classList ? a.classList.add(b) : this.hasClass(a, b) || (a.className += " " + b)
          }
        }, {
          key: "removeClass",
          value: function(a, b) {
            if (a.classList) a.classList.remove(b);
            else if (this.hasClass(a, b)) {
              var c = new RegExp("(\\s|^)" + b + "(\\s|$)");
              a.className = a.className.replace(c, " ")
            }
          }
        }, {
          key: "toggleClass",
          value: function(a, b) {
            this.hasClass(a, b) ? this.removeClass(a, b) : this.addClass(a, b)
          }
        }]), a
      }();
    c["default"] = f, b.exports = c["default"]
  }, {}],
  5: [function(a, b, c) {
    "use strict";

    function d(a, b) {
      if (!(a instanceof b)) throw new TypeError("Cannot call a class as a function")
    }
    Object.defineProperty(c, "__esModule", {
      value: !0
    });
    var e = function() {
        function a(a, b) {
          for (var c = 0; c < b.length; c++) {
            var d = b[c];
            d.enumerable = d.enumerable || !1, d.configurable = !0, "value" in d && (d.writable = !0), Object.defineProperty(a, d.key, d)
          }
        }
        return function(b, c, d) {
          return c && a(b.prototype, c), d && a(b, d), b
        }
      }(),
      f = a("./Helper"),
      g = function() {
        function a(b, c) {
          d(this, a);
          var e, g = this;
          this.imgCont = b, e = b.getElementsByClassName("full-width-image"), this.img = e.length ? e[0].getElementsByTagName("img") : [], this.topVal = 0, this.longPage = !1, this.isBanner = f.hasClass(b, "page-banner"), this.toTop = f.hasClass(b, "image-to-top"), this.centered = 0, this.img.length && (this.img = this.img[0], this.scrollPos = -1, this.topMargin = c ? c : 0, window.addEventListener("scroll", function() {
            g.runOnScroll()
          }), window.addEventListener("resize", function() {
            g.runOnResize()
          }), this.img.addEventListener("load", function() {
            g.runOnResize()
          }), this.runOnResize())
        }
        return e(a, [{
          key: "runOnResize",
          value: function() {
            var a, b, c, d = document.documentElement;
            this.imgH = this.img.clientHeight, this.contH = this.imgCont.clientHeight, this.centered = Math.round(this.imgH - this.contH) / -2, this.winW = Math.max(d.clientWidth, window.innerWidth || 0), this.winH = Math.max(d.clientHeight, window.innerHeight || 0), (this.toTop || !this.isBanner || this.centered >= 0) && (this.centered = 0), this.winW > 769 && this.contH > 0 ? (a = this.winH - this.contH, b = Math.round((this.topMargin - a) / 2), c = this.contH - this.imgH, this.longPage = c > b, this.runOnScroll()) : this.topVal !== this.centered && this.contH > 0 && (this.img.style.top = this.centered + "px", this.topVal = this.centered)
          }
        }, {
          key: "runOnScroll",
          value: function() {
            var a, b, c, d = this.imgCont.getBoundingClientRect(),
              e = this.topMargin - d.top,
              f = Math.round(e / 2),
              g = this.winH - d.top;
            this.contH - this.imgH;
            this.winW > 769 && g > 0 && e <= this.contH ? (this.longPage && !this.isBanner ? (c = 100 * (d.top - this.topMargin), c /= this.winH - this.contH - this.topMargin, f = c * (this.contH - this.imgH) / 100) : this.isBanner && (a = window.pageYOffset || document.documentElement.scrollTop, b = this.topMargin - (a + d.top), f -= Math.round(b / 2)), f += this.centered, f = f < this.centered && this.isBanner ? this.centered : f, this.img.style.top = f + "px", this.topVal = f) : this.topVal !== this.centered && (this.img.style.top = this.centered + "px", this.topVal = this.centered)
          }
        }, {
          key: "updateParallax",
          value: function() {
            this.runOnResize()
          }
        }]), a
      }(),
      h = function() {
        function a(b) {
          d(this, a);
          var c, e = document.getElementsByClassName("parallax-image");
          for (this.parallaxes = [], c = 0; c < e.length; c++) this.parallaxes.push(new g(e[c], b))
        }
        return e(a, [{
          key: "runUpdate",
          value: function() {
            var a;
            for (a = 0; a < this.parallaxes.length; a++) this.parallaxes[a].updateParallax()
          }
        }]), a
      }();
    c["default"] = h, b.exports = c["default"]
  }, {
    "./Helper": 4
  }],
  6: [function(a, b, c) {
    "use strict";

    function d(a, b) {
      if (!(a instanceof b)) throw new TypeError("Cannot call a class as a function")
    }
    Object.defineProperty(c, "__esModule", {
      value: !0
    });
    var e = function() {
        function a(a, b) {
          for (var c = 0; c < b.length; c++) {
            var d = b[c];
            d.enumerable = d.enumerable || !1, d.configurable = !0, "value" in d && (d.writable = !0), Object.defineProperty(a, d.key, d)
          }
        }
        return function(b, c, d) {
          return c && a(b.prototype, c), d && a(b, d), b
        }
      }(),
      f = a("./Helper"),
      g = function() {
        function a(b, c) {
          d(this, a), this.navElem = b, this.scrollPos = void 0 !== window.pageYOffset ? window.pageYOffset : document.documentElement.scrollTop, this.minTop = c ? c : 0, this.minScroll = 25, window.addEventListener("scroll", this.runOnScroll.bind(this)), this.runOnScroll(this)
        }
        return e(a, [{
          key: "runOnScroll",
          value: function(a) {
            var b = void 0 !== window.pageYOffset ? window.pageYOffset : document.documentElement.scrollTop,
              c = document.getElementsByClassName("open-window");
            c.length || (this.scrollPos + this.minScroll <= b && b > this.minTop ? (f.addClass(this.navElem, "scrolled-down"), this.scrollPos = b) : this.scrollPos - this.minScroll >= b && (f.removeClass(this.navElem, "scrolled-down"), this.scrollPos = b))
          }
        }]), a
      }();
    c["default"] = g, b.exports = c["default"]
  }, {
    "./Helper": 4
  }]
}, {}, [1, 2]), require = function b(a, c, d) {
  function e(g, h) {
    if (!c[g]) {
      if (!a[g]) {
        var i = "function" == typeof require && require;
        if (!h && i) return i(g, !0);
        if (f) return f(g, !0);
        var j = new Error("Cannot find module '" + g + "'");
        throw j.code = "MODULE_NOT_FOUND", j
      }
      var k = c[g] = {
        exports: {}
      };
      a[g][0].call(k.exports, function(b) {
        var c = a[g][1][b];
        return e(c ? c : b)
      }, k, k.exports, b, a, c, d)
    }
    return c[g].exports
  }
  for (var f = "function" == typeof require && require, g = 0; g < d.length; g++) e(d[g]);
  return e
}({
  1: [function(a, b, c) {
    "use strict";
    var d = window.Configs || {};
    d.API_DOMAIN = "https://api.army.mil", window.Configs = d
  }, {}],
  2: [function(a, b, c) {
    "use strict";
    var d = a("AjaxRequest"),
      e = a("Helper");
    ! function() {
      function a(a) {
        var b = new Date(a.replace(/\s\d\d:\d\d:\d\d/g, "")),
          c = ["JANUARY", "FEBRUARY", "MARCH", "APRIL", "MAY", "JUNE", "JULY", "AUGUST", "SEPTEMBER", "OCTOBER", "NOVEMBER", "DECEMBER"];
        return c[b.getMonth()] + " " + b.getDate() + ", " + b.getFullYear()
      }

      function b(a) {
        return a.replace(/\@(\w+)/g, '<a href="https://twitter.com/$1" target="_blank" title="@$1"><span class="prefix">@</span><span class="tagged-user">$1</span></a>').replace(/\#(\w+)/g, '<a href="https://twitter.com/hashtag/$1?src=hash" target="_blank" title="#$1"><span class="prefix">#</span><span class="hash-value">$1</span></a>')
      }

      function c(a) {
        var b, c, d = 0,
          e = 0,
          f = "",
          g = a.split(" ");
        for (b = g.length; b > d; d++) c = g[d].match(/((((https?):\/\/)|www[.])[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/gi), c && (g[d] = g[d].replace(c[0], '<a class="link" href="' + c[0] + '" target="_blank" title="' + c[0] + '">' + c[0].replace(/(https?:\/\/)/g, '<span class="u-hiddenVisually">$1</span>') + "</a>"));
        for (b = g.length; b > e; e++) f += e < g.length - 1 ? g[e] + " " : g[e];
        return f
      }

      function f(a) {
        var d, e, f, g = document.getElementsByClassName("author")[0],
          h = document.getElementsByClassName("twitter-like")[0],
          i = 0,
          j = document.getElementsByClassName("tweet")[0],
          k = document.getElementsByClassName("twitter-reply")[0],
          l = document.getElementsByClassName("twitter-retweet")[0];
        for (e = a.length; e > i; i++) d = a[i].retweeted_status ? "RT @" + a[i].retweeted_status.user.screen_name + ": " + a[i].retweeted_status.text : a[i].caption, d = c(d), d = b(d), j.innerHTML = d, f = a[i].user.verified === !0 ? '<span class="author-verified-badge"></span>' : "", g.innerHTML = '<a href="https://twitter.com/' + a[i].user.screen_name + '"target="_blank" aria-label="' + a[i].user.name + " (screen name: " + a[i].user.screen_name + ')"><span class="author-name" title="' + a[i].user.name + '">' + a[i].user.name + "</span>" + f + '<span class="author-screen-name" title="@' + a[i].user.screen_name + '">@' + a[i].user.screen_name + "</span></a>", k.setAttribute("href", "https://twitter.com/intent/tweet?in_reply_to=" + a[i].id_str), l.setAttribute("href", "https://twitter.com/intent/retweet?tweet_id=" + a[i].id_str), h.setAttribute("href", "https://twitter.com/intent/like?tweet_id=" + a[i].id_str)
      }

      function g(a) {
        return !a.hasOwnProperty("id") || -1 !== m.indexOf(a.id)
      }

      function h(b) {
        var c, d, e, f, h = arguments.length <= 1 || void 0 === arguments[1] ? 0 : arguments[1],
          j = 0,
          k = "",
          l = 0,
          n = q.getElementsByTagName("ul")[0];
        for (f = b.length; f > l; l++) g(b[l]) ? j++ : (m.push(b[l].id), c = b[l], d = l >= 6 + j - h ? ' class="hidden"' : "", e = "undefined" != typeof c.image ? c.image.replace("size2.jpg", "size1.jpg") : "/e2/images/rv7/leaders/graphics/army_seal.jpg", k += "<li" + d + '><a href="' + c.url + '" title="' + c.title + '"><span class="image"><img alt="' + c.title + '" src="' + e + '"/></span><span class="title">' + c.title + '</span><span class="date">' + a(c.date) + "</span></a></li>");
        n.innerHTML += k, i = document.querySelectorAll(".news .hidden")
      }
      var i, j, k, l, m = [],
        n = document.getElementsByTagName("body")[0],
        o = n.className,
        p = document.getElementsByClassName("more-news")[0],
        q = document.getElementsByClassName("news")[0],
        r = document.getElementById("requestId"),
        s = r ? r.textContent : "",
        t = document.getElementsByClassName("headlines")[0],
        u = document.getElementsByClassName("tw")[0],
        v = new d;
      j = Configs.API_DOMAIN + "/api/v1/org/articles?uri=leaders/" + o, k = Configs.API_DOMAIN + "/api/v1/leader/" + o + "/transcripts", l = Configs.API_DOMAIN + "/api/v1/social/twitter/posts?user=" + s + "&limit=1", q && v.get(j, h), u && v.get(l, f), t && v.get(k, function(b) {
        var c, d = "",
          e = 0,
          f = t.getElementsByTagName("ul")[0];
        for (c = b.length; c > e; e++) d += '<li><span class="date">' + a(b[e].date) + '</span><a href="' + b[e].url + '" title="' + b[e].title + '" target="_blank">' + b[e].title + "</a></li>", g(b[e]) || m.push(b[e].id);
        f.innerHTML = d
      }), p && document.addEventListener("DOMContentLoaded", function() {
        var a, b = encodeURIComponent(document.getElementById("searchId").textContent),
          c = !0,
          d = 0,
          f = document.getElementById("photoPackageId");
        "undefined" != typeof f && m.push(f.textContent), p.addEventListener("click", function() {
          var f = 0,
            g = i.length < 6 ? i.length : 6;
          for (f = 0; g > f; f++) e.removeClass(i[f], "hidden");
          return i = document.querySelectorAll(".news .hidden"), i.length || c || e.addClass(p, "hidden"), c && (a = Configs.API_DOMAIN + "/api/v1/article/search/expanded?query=" + b + "&offset=" + d, v.get(a, function(a) {
            a.length ? (h(a, g), d += 50) : c = !1
          })), !1
        }, !1)
      })
    }()
  }, {
    AjaxRequest: "AjaxRequest",
    Helper: "Helper"
  }],
  AjaxRequest: [function(a, b, c) {
    "use strict";
    ! function() {
      function a() {}
      a.prototype.get = function(a, b) {
        var c = new XMLHttpRequest;
        return c ? (c.onreadystatechange = function() {
          c.readyState === XMLHttpRequest.DONE && (200 === c.status ? b(JSON.parse(c.responseText)) : window.console.log("there was an error retrieving the requested information"))
        }, c.open("GET", a, !0), void c.send(null)) : !1
      }, b.exports = a
    }()
  }, {}],
  Helper: [function(a, b, c) {
    "use strict";

    function d(a, b) {
      if (!(a instanceof b)) throw new TypeError("Cannot call a class as a function")
    }
    Object.defineProperty(c, "__esModule", {
      value: !0
    });
    var e = function() {
        function a(a, b) {
          for (var c = 0; c < b.length; c++) {
            var d = b[c];
            d.enumerable = d.enumerable || !1, d.configurable = !0, "value" in d && (d.writable = !0), Object.defineProperty(a, d.key, d)
          }
        }
        return function(b, c, d) {
          return c && a(b.prototype, c), d && a(b, d), b
        }
      }(),
      f = function() {
        function a() {
          d(this, a)
        }
        return e(a, null, [{
          key: "hasClass",
          value: function(a, b) {
            return a.classList ? a.classList.contains(b) : !!a.className.match(new RegExp("(\\s|^)" + b + "(\\s|$)"))
          }
        }, {
          key: "addClass",
          value: function(a, b) {
            a.classList ? a.classList.add(b) : this.hasClass(a, b) || (a.className += " " + b)
          }
        }, {
          key: "removeClass",
          value: function(a, b) {
            if (a.classList) a.classList.remove(b);
            else if (this.hasClass(a, b)) {
              var c = new RegExp("(\\s|^)" + b + "(\\s|$)");
              a.className = a.className.replace(c, " ")
            }
          }
        }, {
          key: "toggleClass",
          value: function(a, b) {
            this.hasClass(a, b) ? this.removeClass(a, b) : this.addClass(a, b)
          }
        }]), a
      }();
    c["default"] = f, b.exports = c["default"]
  }, {}],
  "twitter-fetcher": [function(a, b, c) {
    ! function(a, d) {
      "function" == typeof define && define.amd ? define([], d) : "object" == typeof c ? b.exports = d() : d()
    }(this, function() {
      function a(a) {
        if (null === p) {
          for (var b = a.length, c = 0, d = document.getElementById(f), e = "<ul>"; b > c;) e += "<li>" + a[c] + "</li>", c++;
          e += "</ul>", d.innerHTML = e
        } else p(a)
      }

      function b(a) {
        return a.replace(/<b[^>]*>(.*?)<\/b>/gi, function(a, b) {
          return b
        }).replace(/class="(?!(tco-hidden|tco-display|tco-ellipsis))+.*?"|data-query-source=".*?"|dir=".*?"|rel=".*?"/gi, "")
      }

      function c(a) {
        for (var b = a.getElementsByTagName("a"), c = b.length - 1; c >= 0; c--) b[c].setAttribute("target", "_blank")
      }

      function d(a, b) {
        for (var c = [], d = new RegExp("(^| )" + b + "( |$)"), e = a.getElementsByTagName("*"), f = 0, g = e.length; g > f; f++) d.test(e[f].className) && c.push(e[f]);
        return c
      }

      function e(a) {
        if (void 0 !== a && a.innerHTML.indexOf("data-srcset") >= 0) {
          var b = a.innerHTML.match(/data-srcset="([A-z0-9%_\.-]+)/i)[0];
          return decodeURIComponent(b).split('"')[1]
        }
      }
      var f = "",
        g = 20,
        h = !0,
        i = [],
        j = !1,
        k = !0,
        l = !0,
        m = null,
        n = !0,
        o = !0,
        p = null,
        q = !0,
        r = !1,
        s = !0,
        t = "en",
        u = !0,
        v = !1,
        w = null,
        x = {
          fetch: function(a) {
            if (void 0 === a.maxTweets && (a.maxTweets = 20), void 0 === a.enableLinks && (a.enableLinks = !0), void 0 === a.showUser && (a.showUser = !0), void 0 === a.showTime && (a.showTime = !0), void 0 === a.dateFunction && (a.dateFunction = "default"), void 0 === a.showRetweet && (a.showRetweet = !0), void 0 === a.customCallback && (a.customCallback = null), void 0 === a.showInteraction && (a.showInteraction = !0), void 0 === a.showImages && (a.showImages = !1), void 0 === a.linksInNewWindow && (a.linksInNewWindow = !0), void 0 === a.showPermalinks && (a.showPermalinks = !0), void 0 === a.dataOnly && (a.dataOnly = !1), j) i.push(a);
            else {
              j = !0, f = a.domId, g = a.maxTweets, h = a.enableLinks, l = a.showUser, k = a.showTime, o = a.showRetweet, m = a.dateFunction, p = a.customCallback, q = a.showInteraction, r = a.showImages, s = a.linksInNewWindow, u = a.showPermalinks, v = a.dataOnly;
              var b = document.getElementsByTagName("head")[0];
              null !== w && b.removeChild(w), w = document.createElement("script"), w.type = "text/javascript", w.src = "https://cdn.syndication.twimg.com/widgets/timelines/" + a.id + "?&lang=" + (a.lang || t) + "&callback=twitterFetcher.callback&suppress_response_codes=true&rnd=" + Math.random(), b.appendChild(w)
            }
          },
          callback: function(f) {
            function p(a) {
              var b = a.getElementsByTagName("img")[0];
              return b.src = b.getAttribute("data-src-2x"), a
            }
            var t = document.createElement("div");
            t.innerHTML = f.body, "undefined" == typeof t.getElementsByClassName && (n = !1);
            var w = [],
              y = [],
              z = [],
              A = [],
              B = [],
              C = [],
              D = [],
              E = 0;
            if (n)
              for (var F = t.getElementsByClassName("timeline-Tweet"); E < F.length;) F[E].getElementsByClassName("timeline-Tweet-retweetCredit").length > 0 ? B.push(!0) : B.push(!1), (!B[E] || B[E] && o) && (w.push(F[E].getElementsByClassName("timeline-Tweet-text")[0]), C.push(F[E].getAttribute("data-tweet-id")), y.push(p(F[E].getElementsByClassName("timeline-Tweet-author")[0])), z.push(F[E].getElementsByClassName("dt-updated")[0]), D.push(F[E].getElementsByClassName("timeline-Tweet-timestamp")[0]), void 0 !== F[E].getElementsByClassName("timeline-Tweet-media")[0] ? A.push(F[E].getElementsByClassName("timeline-Tweet-media")[0]) : A.push(void 0)), E++;
            else
              for (var F = d(t, "timeline-Tweet"); E < F.length;) d(F[E], "timeline-Tweet-retweetCredit").length > 0 ? B.push(!0) : B.push(!1), (!B[E] || B[E] && o) && (w.push(d(F[E], "timeline-Tweet-text")[0]), C.push(F[E].getAttribute("data-tweet-id")), y.push(p(d(F[E], "timeline-Tweet-author")[0])), z.push(d(F[E], "dt-updated")[0]), D.push(d(F[E], "timeline-Tweet-timestamp")[0]), void 0 !== d(F[E], "timeline-Tweet-media")[0] ? A.push(d(F[E], "timeline-Tweet-media")[0]) : A.push(void 0)), E++;
            w.length > g && (w.splice(g, w.length - g), y.splice(g, y.length - g), z.splice(g, z.length - g), B.splice(g, B.length - g), A.splice(g, A.length - g), D.splice(g, D.length - g));
            var G = [],
              E = w.length,
              H = 0;
            if (v)
              for (; E > H;) G.push({
                tweet: w[H].innerHTML,
                author: y[H].innerHTML,
                time: z[H].textContent,
                image: e(A[H]),
                rt: B[H],
                tid: C[H],
                permalinkURL: void 0 === D[H] ? "" : D[H].href
              }), H++;
            else
              for (; E > H;) {
                if ("string" != typeof m) {
                  var I = z[H].getAttribute("datetime"),
                    J = new Date(z[H].getAttribute("datetime").replace(/-/g, "/").replace("T", " ").split("+")[0]),
                    K = m(J, I);
                  if (z[H].setAttribute("aria-label", K), w[H].textContent)
                    if (n) z[H].textContent = K;
                    else {
                      var L = document.createElement("p"),
                        M = document.createTextNode(K);
                      L.appendChild(M), L.setAttribute("aria-label", K), z[H] = L
                    }
                  else z[H].textContent = K
                }
                var N = "";
                h ? (s && (c(w[H]), l && c(y[H])), l && (N += '<div class="user">' + b(y[H].innerHTML) + "</div>"), N += '<p class="tweet">' + b(w[H].innerHTML) + "</p>", k && (N += u ? '<p class="timePosted"><a href="' + D[H] + '">' + z[H].getAttribute("aria-label") + "</a></p>" : '<p class="timePosted">' + z[H].getAttribute("aria-label") + "</p>")) : w[H].textContent ? (l && (N += '<p class="user">' + y[H].textContent + "</p>"), N += '<p class="tweet">' + w[H].textContent + "</p>", k && (N += '<p class="timePosted">' + z[H].textContent + "</p>")) : (l && (N += '<p class="user">' + y[H].textContent + "</p>"), N += '<p class="tweet">' + w[H].textContent + "</p>", k && (N += '<p class="timePosted">' + z[H].textContent + "</p>")), q && (N += '<p class="interact"><a href="https://twitter.com/intent/tweet?in_reply_to=' + C[H] + '" class="twitter_reply_icon"' + (s ? ' target="_blank">' : ">") + 'Reply</a><a href="https://twitter.com/intent/retweet?tweet_id=' + C[H] + '" class="twitter_retweet_icon"' + (s ? ' target="_blank">' : ">") + 'Retweet</a><a href="https://twitter.com/intent/favorite?tweet_id=' + C[H] + '" class="twitter_fav_icon"' + (s ? ' target="_blank">' : ">") + "Favorite</a></p>"), r && void 0 !== A[H] && (N += '<div class="media"><img src="' + e(A[H]) + '" alt="Image from tweet" /></div>'), G.push(N), H++
              }
            a(G), j = !1, i.length > 0 && (x.fetch(i[0]), i.splice(0, 1))
          }
        };
      return window.twitterFetcher = x, x
    })
  }, {}]
}, {}, [1, 2]);
